View Issue Details

IDProjectCategoryView StatusLast Update
0033589Open CASCADEOCCT:Data Exchangepublic2024-02-15 12:08
Reporterdpasukhi Assigned Todpasukhi  
PrioritynormalSeveritymajor 
Status resolvedResolutionopen 
Target Version7.8.1 
Summary0033589: Data Exchange, Step Export - Using thread-safaty interface ignore model schema
DescriptionWhen export with thread-safary calls, changing write schema doesn't impact on exported file. It is always from the static interface.
TagsNo tags attached.
Test case number

Activities

git

2024-01-29 14:02

administrator   ~0114998

Branch CR33589 has been created by dpasukhi.

SHA-1: 8f91ae3652c9095dc4b15fa6b9e8b764303d642d


Detailed log of new commits:

Author: dpasukhi
Date: Mon Jan 29 11:02:23 2024 +0000

    0033589: Data Exchange, Step Export - Using thread-safety interface ignore model schema
    
    Fixed issue with MakeHeader.
    Fix isn't for review or integration. Only for the internal usage.
    Need to adapt into work env.

git

2024-01-29 21:55

administrator   ~0115001

Branch CR33589 has been updated forcibly by dpasukhi.

SHA-1: 8f6a653158b3160814a160f04e16ecfb2787dacf

dpasukhi

2024-01-30 12:08

administrator   ~0115004

Needs to test writing and reading of STEP file by DE_Wrapper by hand to check that each parameter are working.
There are no needs to create a special tests for that.
But needs to process my changes and make new if necessary.
(the line with deprecation must to be removed, it was only for me)

git

2024-02-05 16:46

administrator   ~0115042

Branch CR33589_1 has been created by ichesnokova.

SHA-1: 60bd9c801d1fdb9835c903dce817f2962738b729


Detailed log of new commits:

Author: dpasukhi
Date: Mon Jan 29 11:02:23 2024 +0000

    0033589: Data Exchange, Step Export - Using thread-safety interface ignore model schema
    
    Fixed issue with MakeHeader.
    Fix isn't for review or integration. Only for the internal usage.
    Need to adapt into work env.

Author: akaftasev
Date: Mon Jan 22 12:38:55 2024 +0000

    0033581: Modeling Algorithm - HLR produces wrong results or stucks on the given models
    
    This reverts commit 06392edef74968449a58afd200bc49e39ca3652f.

git

2024-02-05 16:52

administrator   ~0115043

Branch CR33589_1 has been updated forcibly by ichesnokova.

SHA-1: f0756aa69ac1d441c65b6e89ee2530d2f30da9fb

git

2024-02-09 12:54

administrator   ~0115058

Branch CR33589_1 has been updated forcibly by ichesnokova.

SHA-1: 5c0b0a75879a310c4889bc015c2e01bd4de78447

git

2024-02-14 13:36

administrator   ~0115077

Branch CR33589_1 has been updated forcibly by ichesnokova.

SHA-1: 6d41528b9f654c778ba63bdb9fad214991df71a2

git

2024-02-14 19:47

administrator   ~0115088

Branch CR33589_1 has been updated forcibly by ichesnokova.

SHA-1: 2344ac47ec08d47d034d64c0e0ed8f7d8e27376b

ichesnokova

2024-02-15 12:08

developer   ~0115092

Dear dpasukhi,
please review branch CR33589_1.
Tests: http://jenkins-test-10.nnov.opencascade.com/view/CR33589-master-ichesnok/view/COMPARE/

Issue History

Date Modified Username Field Change
2024-01-29 14:00 dpasukhi New Issue
2024-01-29 14:00 dpasukhi Assigned To => dpasukhi
2024-01-29 14:02 git Note Added: 0114998
2024-01-29 21:55 git Note Added: 0115001
2024-01-30 12:06 dpasukhi Assigned To dpasukhi => ichesnokova
2024-01-30 12:08 dpasukhi Note Added: 0115004
2024-02-05 16:46 git Note Added: 0115042
2024-02-05 16:52 git Note Added: 0115043
2024-02-09 12:54 git Note Added: 0115058
2024-02-14 13:36 git Note Added: 0115077
2024-02-14 19:47 git Note Added: 0115088
2024-02-15 12:08 ichesnokova Assigned To ichesnokova => dpasukhi
2024-02-15 12:08 ichesnokova Status new => resolved
2024-02-15 12:08 ichesnokova Note Added: 0115092